# Default values for restapi.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: sim.docker.zooxlabs.com/marvel2-restapi
  pullPolicy: Always

#imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

#serviceAccount:
  # Specifies whether a service account should be created
  #create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  #name:

#podSecurityContext: {}
  # fsGroup: 2000

#securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  annotations: {}
  paths :
    - /
  hosts:
    #- host: chart-example.local
      #paths: []
  tls:
    - hosts:
  #tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

#resources: {}
resources:
  limits:
    cpu: 0
    memory: 0
    nvidia.com/gpu: 0 # should only be in `limits`
  requests:
    cpu: 0
    memory: 0
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}

env:
  - name: VAULT_TOKEN
    valueFrom:
      secretKeyRef:
        name: marvel2
        key: vault_token
